qodana:
  only:
    - master
    - merge_requests
  image:
    name: jetbrains/qodana-python-community
    entrypoint: [""]
  variables:
    QODANA_TOKEN: $qodana_token
  script:
    - qodana --save-report --results-dir=$CI_PROJECT_DIR/.qodana/results
         --cache-dir=$CI_PROJECT_DIR/.qodana/cache
  artifacts:
    paths:
       - .qodana/results/
    expose_as: 'Qodana report'